<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.ruoyi.cms.mapper.WechatGroupMapper">

    <select id="selectWechatGroupList" resultType="com.ruoyi.cms.domain.vo.WechatGroupVo">
        select g.create_time, g.id, g.name, g.is_push, u.wechat_name, u.phone_number, u.id communityId
        from wechat_group g join community_user u on g.community_id = u.id
        where g.del_flag = 0 and u.del_flag = 0
        <if test="p.name != null and p.name != ''">
            and g.name like '%' || #{p.name} || '%'
        </if>
        <if test="p.isPush != null">
            and g.is_push = #{p.isPush}
        </if>
    </select>

</mapper>